//
//  Review.swift
//  ReviewsFeedKit
//
//  Created by Javier Cicchelli on 17/03/2024.
//  Copyright © 2024 Röck+Cöde VoF. All rights reserved.
//

import Foundation

public struct Review {
    
    // MARK: Constants
    public let author: String
    public let content: String
    public let id: Int
    public let rating: Int
    public let title: String
    public let updated: Date
    public let version: String

    // MARK: Initialisers
    public init(
        id: Int,
        author: String,
        title: String,
        content: String,
        rating: Int,
        version: String,
        updated: Date
    ) {
        self.author = author
        self.content = content
        self.id = id
        self.rating = rating
        self.title = title
        self.updated = updated
        self.version = version
    }
    
}
